package com.fs.his.mapper;

import com.fs.his.domain.FsAiWorkflowEdge;
import java.util.List;

/**
 * AI工作流连线Mapper接口
 *
 * @author fs
 * @date 2026-01-06
 */
public interface FsAiWorkflowEdgeMapper {

    FsAiWorkflowEdge selectFsAiWorkflowEdgeById(Long edgeId);

    List<FsAiWorkflowEdge> selectFsAiWorkflowEdgeByWorkflowId(Long workflowId);

    int insertFsAiWorkflowEdge(FsAiWorkflowEdge edge);

    int batchInsertFsAiWorkflowEdge(List<FsAiWorkflowEdge> edges);

    int updateFsAiWorkflowEdge(FsAiWorkflowEdge edge);

    int deleteFsAiWorkflowEdgeById(Long edgeId);

    int deleteFsAiWorkflowEdgeByWorkflowId(Long workflowId);
}
